Bug 169642 - return value of realloc is ignored
return value of realloc is ignored
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: freeradius (Show other bugs)
rawhide
All Linux
medium Severity high
: ---
: ---
Assigned To: Thomas Woerner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-30 12:03 EDT by Tomas Mraz
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-11 11:22:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Mraz 2005-09-30 12:03:34 EDT
Description of problem:
The return value of realloc is ignored in the rlm_pam.c source.

Version-Release number of selected component (if applicable):
freeradius-1.0.4

Additional info:
/mnt/redhat/beehive/logs/freeradius-619035-i386-hs20-bc1-5.build.redhat.com.log:rlm_pam.c:136:
warning: ignoring return value of 'realloc', declared with attribute
warn_unused_result
/mnt/redhat/beehive/logs/freeradius-619035-i386-hs20-bc1-5.build.redhat.com.log:rlm_pam.c:142:
warning: ignoring return value of 'realloc', declared with attribute
warn_unused_result

Note You need to log in before you can comment on or make changes to this bug.